Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZImageVariation Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| getByGroupAndImage ( $groupID, $imageID, $modification)
| requestVariation (&$image, &$variationGroup, $convertToGray=false, $allow_error=false)
| imageID ()
| variationGroupID ()
| imagePath ()
| width ()
| height ()
| id ()
| setImageID ( $value)
| setVariationGroupID ( $value)
| setImagePath ( $value)
| setWidth ( $value)
| setHeight ( $value)
| setModification ( $value)
| createErrorImage ()

## Public Attributes
| $ID
| $ImageID
| $VariationGroupID
| $ImagePath
| $Width
| $Height
| $Modification

## Detailed Description

! eZImageCatalogue The eZImageVariation class hadles images variations.

See also
  eZImage eZImageVariationGroup

Definition at line 40 of file ezimagevariation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageVariation::__construct | ( |  | $id = `""` | ) |

Constructs a new eZImageVariation object.

Definition at line 45 of file ezimagevariation.php.

References $id, and $ID.

## Member Function Documentation

## ◆ createErrorImage()

eZImageVariation::createErrorImage | ( |  | ) |

Function which displays an error message, used if the variation could not be created.

Definition at line 371 of file ezimagevariation.php.

Referenced by requestVariation().

## ◆ delete()

eZImageVariation::delete | ( |  | ) |

Delete the eZImageVariation object from the database and the filesystem.

Definition at line 132 of file ezimagevariation.php.

References $db, file_exists(), eZDB\globalDatabase(), imagePath(), and eZPBFile\unlink().

## ◆ get()

eZImageVariation::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 103 of file ezimagevariation.php.

References $db, $id, $query, and eZDB\globalDatabase().

## ◆ getByGroupAndImage()

eZImageVariation::getByGroupAndImage | ( |  | $groupID,
|  |  | $imageID,
|  |  | $modification
| ) |  |

Fetches the object information from the database.

Definition at line 152 of file ezimagevariation.php.

References $db, $groupID, $ret, file_exists(), and eZDB\globalDatabase().

## ◆ height()

eZImageVariation::height | ( |  | ) |

Returns the image height

Definition at line 306 of file ezimagevariation.php.

References $Height.

## ◆ id()

eZImageVariation::id | ( |  | ) |

Returns the variations id

Definition at line 314 of file ezimagevariation.php.

References $ID.

## ◆ imageID()

eZImageVariation::imageID | ( |  | ) |

Returns the ImageID

Definition at line 274 of file ezimagevariation.php.

References $ImageID.

## ◆ imagePath()

eZImageVariation::imagePath | ( |  | ) |

Returns the variation path

Definition at line 290 of file ezimagevariation.php.

References $ImagePath.

Referenced by delete().

## ◆ requestVariation()

eZImageVariation::requestVariation | ( | & | $image,
|  | & | $variationGroup,
|  |  | $convertToGray = `false`,
|  |  | $allow_error = `false`
| ) |  |

Returns the variation if the variation exists, if it does not exist it is created.

False is returned if the variation could not be created.

Definition at line 190 of file ezimagevariation.php.

References $image, $result, $ret, $size, $suffix, $variation, createErrorImage(), file_exists(), and eZPBImageFile\information().

## ◆ setHeight()

eZImageVariation::setHeight | ( |  | $value | ) |

Sets the height

Definition at line 354 of file ezimagevariation.php.

## ◆ setImageID()

eZImageVariation::setImageID | ( |  | $value | ) |

Sets the ImageID

Definition at line 322 of file ezimagevariation.php.

## ◆ setImagePath()

eZImageVariation::setImagePath | ( |  | $value | ) |

Sets the image path

Definition at line 338 of file ezimagevariation.php.

## ◆ setModification()

eZImageVariation::setModification | ( |  | $value | ) |

Sets the image modification information, e.g. grayscale version.

Definition at line 362 of file ezimagevariation.php.

## ◆ setVariationGroupID()

eZImageVariation::setVariationGroupID | ( |  | $value | ) |

Sets the VariationGroupID

Definition at line 330 of file ezimagevariation.php.

## ◆ setWidth()

eZImageVariation::setWidth | ( |  | $value | ) |

Sets the width

Definition at line 346 of file ezimagevariation.php.

## ◆ store()

eZImageVariation::store | ( |  | ) |

Stores a eZImageVariation object to the database.

Definition at line 64 of file ezimagevariation.php.

References $db, $query, $res, $ret, and eZDB\globalDatabase().

## ◆ variationGroupID()

eZImageVariation::variationGroupID | ( |  | ) |

Returns the VariationGroupID

Definition at line 282 of file ezimagevariation.php.

References $VariationGroupID.

## ◆ width()

eZImageVariation::width | ( |  | ) |

Returns the image width

Definition at line 298 of file ezimagevariation.php.

References $Width.

## Member Data Documentation

## ◆ $Height

eZImageVariation::$Height

Definition at line 386 of file ezimagevariation.php.

Referenced by height().

## ◆ $ID

eZImageVariation::$ID

Definition at line 381 of file ezimagevariation.php.

Referenced by __construct(), and id().

## ◆ $ImageID

eZImageVariation::$ImageID

Definition at line 382 of file ezimagevariation.php.

Referenced by imageID().

## ◆ $ImagePath

eZImageVariation::$ImagePath

Definition at line 384 of file ezimagevariation.php.

Referenced by imagePath().

## ◆ $Modification

eZImageVariation::$Modification

Definition at line 387 of file ezimagevariation.php.

## ◆ $VariationGroupID

eZImageVariation::$VariationGroupID

Definition at line 383 of file ezimagevariation.php.

Referenced by variationGroupID().

## ◆ $Width

eZImageVariation::$Width

Definition at line 385 of file ezimagevariation.php.

Referenced by width().

The documentation for this class was generated from the following file:

- ezimagevariation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.